> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Upload Multiple Wallets

> Validates networks, wallet types and recipients by name, then bulk-creates PENDING wallets for recipients.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/bulk-upload-multiple-wallets
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/bulk-upload-multiple-wallets:
    post:
      operationId: bulkUploadMultipleWallets
      summary: Bulk Upload Multiple Wallets
      description: >-
        Validates networks, wallet types and recipients by name, then
        bulk-creates PENDING wallets for recipients.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkUploadMultipleWalletsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkUploadMultipleWalletsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    BulkUploadMultipleWalletsRequest:
      type: object
      properties:
        wallets:
          type: array
          items:
            type: object
            properties:
              recipientID:
                type: string
                format: uuid
              walletAddress:
                type: string
                minLength: 1
              networkName:
                type: string
                minLength: 1
              walletType:
                type: string
                minLength: 1
              nickName:
                type: string
            required:
              - recipientID
              - walletAddress
              - networkName
              - walletType
          minItems: 1
          maxItems: 1000
      required:
        - wallets
    BulkUploadMultipleWalletsResponse:
      type: object
      properties:
        success:
          type: boolean
        createdWallets:
          type: integer
        message:
          type: string
      required:
        - success
        - createdWallets
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
